> For the complete documentation index, see [llms.txt](https://developer.dashdoc.com/docs/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://developer.dashdoc.com/docs/api-reference/telematics.md).

# Telematics

## Create a telematics vehicle

> This will create a vehicle with the provided license plate number and telematics id, in order to collect and process telemactics data from this vehicle during transports. This is possible with Trimble. \
> \
> If there is already a vehicle with the provided license plate, its \`telematics\_id\` will be updated. In this case the return status will be \`200\`.

````json
{"openapi":"3.0.0","info":{"title":"Dashdoc public API","version":"4.0"},"tags":[{"name":"Telematics"}],"servers":[{"description":"Production","url":"https://api.dashdoc.eu/api/v4"},{"description":"Sandbox","url":"https://sandbox.dashdoc.eu/api/v4"}],"security":[{"ApiKeyAuth":[]}],"components":{"securitySchemes":{"ApiKeyAuth":{"description":"Authentication is token based. You can issue a token for your API request from the ['API' section of the settings](http://dashdoc.eu/app/settings/api/) menu. The token MUST be sent in a `Authorization` header with each request.\n\n\n**Example of authenticated request**\n```\n$ curl -X GET -H \"Authorization: Token <your token>\" \"https://api.dashdoc.eu/api/v4/\"\n```\n","in":"header","name":"Authentication","type":"apiKey"}},"schemas":{"CreateTelematicsVehicle":{"properties":{"telematics":{"enum":["trimble"],"type":"string"},"license_plate":{"type":"string"},"telematics_id":{"description":"ID of the vehicle in the telematics system","type":"string"}},"required":["license_plate","telematics","telematics_id"],"type":"object"},"TelematicsVehicle":{"properties":{"telematics":{"enum":["trimble"],"type":"string"},"license_plate":{"type":"string"},"telematics_id":{"description":"ID of the vehicle in the telematics system","type":"string"}},"type":"object"}}},"paths":{"/telematics/vehicles/":{"post":{"deprecated":true,"description":"This will create a vehicle with the provided license plate number and telematics id, in order to collect and process telemactics data from this vehicle during transports. This is possible with Trimble. \n\nIf there is already a vehicle with the provided license plate, its `telematics_id` will be updated. In this case the return status will be `200`.","operationId":"telematicsVehicles","requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/CreateTelematicsVehicle"}}},"required":true},"responses":{"201":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/TelematicsVehicle"}}},"description":"Telematics vehicle created"}},"summary":"Create a telematics vehicle","tags":["Telematics"]}}}}
````

## Create one or many traces

> This will create one or many traces with the provided license plate number. \
> \
> In the endpoint's URL, \*\*you must replace \`{vendor}\`\*\* by the name given to you by your Dashdoc project manager. \
> \
> \*\*All vehicles specified in the request must exist in Dashdoc with the provided license plate, otherwise the request will return a 400 error\*\*.

````json
{"openapi":"3.0.0","info":{"title":"Dashdoc public API","version":"4.0"},"tags":[{"name":"Telematics"}],"servers":[{"description":"Production","url":"https://api.dashdoc.eu/api/v4"},{"description":"Sandbox","url":"https://sandbox.dashdoc.eu/api/v4"}],"security":[{"ApiKeyAuth":[]}],"components":{"securitySchemes":{"ApiKeyAuth":{"description":"Authentication is token based. You can issue a token for your API request from the ['API' section of the settings](http://dashdoc.eu/app/settings/api/) menu. The token MUST be sent in a `Authorization` header with each request.\n\n\n**Example of authenticated request**\n```\n$ curl -X GET -H \"Authorization: Token <your token>\" \"https://api.dashdoc.eu/api/v4/\"\n```\n","in":"header","name":"Authentication","type":"apiKey"}},"schemas":{"CreateTrace":{"properties":{"license_plate":{"description":"License plate number","maxLength":200,"type":"string"},"country":{"description":"Country code of the license plate","type":"string"},"time":{"description":"Timestamp at which the trace was generated. ISO-8601 format.","type":"string"},"mileage":{"description":"Mileage expressed in kilometers","type":"integer"},"latitude":{"description":"Latitude of the position of the vehicle","type":"number"},"longitude":{"description":"Longitude of the position of the vehicle","type":"number"}},"required":["license_plate"],"type":"object"},"Trace":{"properties":{"pk":{"description":"Dashdoc's internal id","type":"number"},"license_plate":{"description":"License plate number","maxLength":200,"type":"string"},"country":{"description":"Country code of the license plate","type":"string"},"time":{"description":"Timestamp at which the trace was generated. ISO-8601 format.","type":"string"},"mileage":{"description":"Mileage expressed in kilometers","type":"integer"},"latitude":{"description":"Latitude of the position of the vehicle","type":"number"},"longitude":{"description":"Longitude of the position of the vehicle","type":"number"}},"type":"object"}}},"paths":{"/telematics/traces/{vendor}/":{"post":{"description":"This will create one or many traces with the provided license plate number. \n\nIn the endpoint's URL, **you must replace `{vendor}`** by the name given to you by your Dashdoc project manager. \n\n**All vehicles specified in the request must exist in Dashdoc with the provided license plate, otherwise the request will return a 400 error**.","operationId":"telematicsTraces","parameters":[{"description":"The vendor name given to you by your Dashdoc project manager","in":"path","name":"vendor","required":true,"schema":{"type":"string"}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/CreateTrace"}}},"required":true},"responses":{"201":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/Trace"}}},"description":"Traces created"}},"summary":"Create one or many traces","tags":["Telematics"]}}}}
````
